--[[
	News info plguin
]]--


--------------------------------------
-- Create plugin

local RW = LibStub("AceAddon-3.0"):GetAddon("Raid Watch")
local plugin = RW:Plugin("News")
if not plugin then return end

--------------------------------------
-- Locals
local L = LibStub("AceLocale-3.0"):GetLocale("RW2-Plugin-Base")
local UIF
local AceGUI
local news = {}

--------------------------------------
-- Init

function plugin:OnRegister()
	self.db = RW.db:RegisterNamespace("News", {profile={}})
end

function plugin:PluginEnable()
	UIF = LibStub("AceGUI-Factory-1.0"):GetFactory("RW")
	AceGUI = LibStub("AceGUI-3.0")
end

function plugin:PluginDisable()
end

--------------------------------------
-- Options
function plugin:GetOptions()
	return 98, L.NEWS, self.GetGUI
end

function plugin:GetGUI()
	self = self or plugin
	
	local group, label, color, check
	
	group = AceGUI:Create("ScrollFrame")
	group:SetLayout("Flow")
	
	label = UIF:MainTitleLabel(L.NEWS)
	group:AddChild(label)
	
	local igroup = UIF:InlineGroup("")
	group:AddChild(igroup)	
	
	for title, data in pairs(news) do
		local newsGroup = UIF:InlineGroup2(title)
		igroup:AddChild(newsGroup)
		
		self:GetNewsAsGUI(newsGroup, data, "")
	end
	
	return group
end

function plugin:GetNewsAsGUI(group, data, level)
	for i, subData in pairs(data) do
		if type(subData) == "table" then
			group:AddChild(UIF:NormalText(level.."* "..i))
			plugin:GetNewsAsGUI(group, subData, level.."       ")
		else
			group:AddChild(UIF:NormalText(level.."- "..subData))
		end
	end
end

news["1.24 Alpha 2010-03-30"] = {
	["Other"] = {
		"Added support for AVR (http://www.wowace.com/addons/avr/) for some of the Icecrown bosses to test it out.",
	},
	["ICC"] = {
		["Deathbringer Saurfang"] = {
			"Added AVR Circles on engage to adjust positions, they will go away ~10s before the fight starts.",
		},
		["Rotface"] = {
			"Added AVR Circles on everyone in the raid when an Ooze explodes, they will stay where the players were when it happened and stay up for 6 seconds.",
		},
		["Festergut"] = {
			"Added AVR Circles for spore targets.",
		},
		["Professor Putricide"] = {
			"Added AVR Circles to Unbound Plague, Malleable Goo target and Plague Sickness.",
		},
		["Blood-Prince Council"] = {
			"Added AVR Circles for the single target Shock Vortex.",
		},
		["Sindragosa"] = {
			"Added AVR Circles for frost tomb targets.",
		},
		["The Lich King"] = {
			"Added AVR Circles for Shadow Trap and Defile targets. (Note defile target wont work yet as the coordinates are still not working after the outer part of the platform have collapsed).",
			"Fixed timer bar for Necrotic Plague when its on yourself",
		},
	}
}
