local mod = RW:Boss("Toravon the Ice Watcher", "Vault of Archavon")
local L

mod.BossIcon = [[Interface\Icons\spell_frost_frostbrand]]

---------------------------
-- Variables

-- Whiteout
local mWhiteout, tWhiteoutCD

-- Frost Bite
local mFrostBite

-- Frozen Orb
local tOrbCD, wOrb
---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(38433)
	self:SetWin()
	
	-- Whiteout
	tWhiteoutCD			= self:CDTimer(45, 72096)
	mWhiteout			= self:StackMessage(72096)
	
	-- Frost Bite
	mFrostBite			= self:TargetStackMessage(72098)
	
	-- Frozen Orb
	tOrbCD				= self:CDTimer(30, 72095)
	wOrb				= self:RunawayWarning(72095)
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Whiteout", 72096)
	self:Track("Frostbite", 72098, 72004, 72120, 72121 )
	self:Track("Orb", 72095)
end

function mod:Whiteout(event, args)
	if event == "SPELL_AURA_APPLIED" or event == "SPELL_AURA_APPLIED_DOSE" then
		if args:IsPlayer() then
			mWhiteout:Show(args.amount or 1)
		end
	
	elseif event == "SPELL_CAST_START" or event == "SPELL_CAST_SUCCESS" then
		tWhiteoutCD:Start()
	end
end

function mod:Frostbite(event, args)
	if event == "SPELL_AURA_APPLIED" or event == "SPELL_AURA_APPLIED_DOSE" then
		mFrostBite:Show(args.dName, args.amount or 1)
	end
end

function mod:Orb(event, args)
	if event == "SPELL_CAST_START" then
		tOrbCD:Start()
	
	elseif event == "SPELL_AURA_APPLIED" then
		wOrb:Show()
	end
end